{% extends 'templates.html' %}
{% load staticfiles %}
{% load static %}
{% block content %}
<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <title>Profile</title>
  <link rel="stylesheet" type="text/css" href="{% static 'tutorial_1.css' %}">
</head>

<body onload="myFunction()" style="margin:0;">

    <div id="loader"></div>
    
    <div style="display: block;" id="myDiv" class="animate-bottom">
        <div class="bga"></div>
        <div class="rows"> 
            <div class="flex-item"><p>Profil Saya</p>
            </div>
            <div class="flex-item">
                <button class="accordion"><p>Biodata
                </p></button>
                <div class="panel">
                    <br><br>
                    <img src={% static 'img/profile.png' %} width="100vmax" height="100vmax">
                    <br><br>
                    <h2>Steffi Alexandra</h2>
                    <br><br>
                <div class="tg-wrap"><table class="tg">
                        <tr>
                            <th class="tg-baqh">❀</th>
                            <th class="tg-baqh">✿<br></th>
                        </tr>
                        <tr>
                            <td class="tg-0lax">Tempat, Tanggal Lahir</td>
                            <td class="tg-0lax">Jakarta, 2 Juli 1999</td>
                        </tr>
                        <tr>
                            <td class="tg-0lax">Jenis Kelamin</td>
                            <td class="tg-0lax">Perempuan</td>
                        </tr>
                        <tr>
                            <td class="tg-0lax">Alamat </td>
                            <td class="tg-0lax">Jl. Haji Amat II no. 52</td>
                        </tr>
                        
                        </table></div>
                </div>
                <button class="accordion"><p>Aktivitas Saat Ini</p></button>
                <div class="panel">
                <p>Saat ini saya sedang menjalani perkuliahan dengan menyelami lautan penuh tugas-tugas. Dari semua tugas-tugas yang ada, saya paling senang mengerjakan tugas PPW:)</p>
                </div>
                <button class="accordion"><p>Pengalaman Organisasi & Kepanitiaan</p></button>
                <div class="panel">
                    <ul>
                        <li>The 25th CGT - Staff Divisi Dekorasi</li>
                        <li>CompFest X - Staff Divisi Dekorasi</li>
                        <li>PMB 2018 - Staff Divisi Dana Usaha</li>
                    </ul>
                </div>
                <button class="accordion"><p>Prestasi</p></button>
                <div class="panel">
                <p>None.</p>
                </div>
            </div>
            <div class="flex-item">
                <button id="change" >Change the theme?</button>
            </div>
        </div>
    </div>

        <script>
            var myVar;

            function myFunction() {
                myVar = setTimeout(showPage, 500);
            }

            function showPage() {
                document.getElementById("loader").style.display = "none";
                document.getElementsById("myDiv").style.display = "block";
            }

            var x;
            $("#change").click(function(){
            if(x==0){
                $(".flex-item").css("background-color", "#FFFFFF"); 
                x = 1;
            } 
            else{
                $(".flex-item").css("background-color", "#D3D3D3"); 
                x = 0;
                } 
            });
                var acc = document.getElementsByClassName("accordion");
                var i;
                
                for (i = 0; i < acc.length; i++) {
                    acc[i].addEventListener("click", function() {
                    this.classList.toggle("active");
                    var panel = this.nextElementSibling;
                    if (panel.style.maxHeight){
                        panel.style.maxHeight = null;
                    } else {
                        panel.style.maxHeight = panel.scrollHeight + "px";
                    } 
                    });
                }
            
        </script>        
</body>
</html>
{% endblock %}